
MoSA Portal Project - Bug #2316

Images gallery - order field

09/23/2020 04:02 PM - Saja Nakhleh

Status: Closed Start date: 09/23/2020

Priority: Low Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Environment: QA

Severity: Minor Transaction Number:  

Category: Portal Username:  

Sub-Category:  Browser:  

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result: Issue #1:

the large value should be rejected,

validated or trimmed

Actual Finish Date:  

Actual Result: Issue #1:

the very large values will be replaced by

a fixed minus number ( same number

every time -> -5994306948999214382)

so that the image will be shown as the

last image on the gallery

Observe evidence 2.jpg

  

Description

Issue #1:

1- Using ex_contributor user, move to Images gallery folder

2- Click add new image (added on the attachments)

3- upload new image

4- fill the [order] field with a very large number (250 digit)( i.e:

200376420520689663920037642052068966392003764205206896639200376420520689663920037642052068966392003764205

206896639200376420520689663920037642052068966392003764205206896639200376420520689663920037642052068966392

00376420520689663920037642052068966392003)

5- click OK

6- approve the image by the ex_cotributor

7- approve the image by the ex_approver1

History

#1 - 09/24/2020 12:33 PM - Saja Nakhleh

- File jpg.jpg added

- File 2.GIF added

- Description updated

- Assignee changed from Saja Nakhleh to Zaid Shakboua

- Priority changed from Normal to Low

- Severity changed from Normal to Minor

- Expected Result updated

- Actual Result updated
http://185.98.225.148:8089/redmine/issues/1


#2 - 09/27/2020 05:20 PM - Zaid Shakboua

- Assignee changed from Zaid Shakboua to Saja Nakhleh

done, the range has been set to [-2,147,483,647 to 2,147,483,647], thus, entered values <-2,147,483,647 will have the value -2,147,483,646 and the

value > 2,147,483,647 will have the value 2,147,483,646

#3 - 09/30/2020 12:39 PM - Saja Nakhleh

- Status changed from Open to Closed

the issue has been tested and verified.

Files

jpg.jpg 29.2 KB 09/24/2020 Saja Nakhleh

2.GIF 22.2 KB 09/24/2020 Saja Nakhleh

Powered by TCPDF (www.tcpdf.org)

06/03/2025 2/2

http://www.tcpdf.org

